DynamicRegionListener (Apache Geode 2.0.2)
Description: declaration: package: org.apache.geode.cache, interface: DynamicRegionListener

Package org.apache.geode.cache

# Interface DynamicRegionListener

public interface DynamicRegionListener
`DynamicRegionListener` is an interface that can be implemented to handle dynamic region-related events. The methods on a `DynamicRegionListener` are invoked synchronously. If the listener method takes a long time to execute then it will cause the operation that caused it to be invoked to take a long time.

Note: It is possible to receive duplicate create events when the DynamicRegionFactory goes active due to Cache creation.

See `DynamicRegionFactory`

Since:
  GemFire 4.3

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `afterRegionCreate(RegionEvent<?,?> event)`
  Handles the 'after region creation' event of a dynamic region.
  `void`
  `afterRegionDestroy(RegionEvent<?,?> event)`
  Handles the 'after region destroyed' event of a dynamic region.
  `void`
  `beforeRegionCreate(String parentRegionName, String regionName)`
  Handles the 'before region creation' event of a dynamic region.
  `void`
  `beforeRegionDestroy(RegionEvent<?,?> event)`
  Handles the 'before region destroyed' event of a dynamic region.

- ## Method Details

  - ### beforeRegionCreate

    void beforeRegionCreate(String parentRegionName, String regionName)
    Handles the 'before region creation' event of a dynamic region. This method is invoked before the dynamic region is created in the local VM.
    Parameters:
      `parentRegionName` - The name of the parent region
      `regionName` - The name of the region being created

  - ### afterRegionCreate

    void afterRegionCreate(RegionEvent<?,?> event)
    Handles the 'after region creation' event of a dynamic region. This method is invoked after the dynamic region is created in the local VM.
    Parameters:
      `event` - A `RegionEvent` describing the event

  - ### beforeRegionDestroy

    void beforeRegionDestroy(RegionEvent<?,?> event)
    Handles the 'before region destroyed' event of a dynamic region. This method is invoked before the dynamic region is destroyed in the local VM.
    Parameters:
      `event` - A `RegionEvent` describing the event

  - ### afterRegionDestroy

    void afterRegionDestroy(RegionEvent<?,?> event)
    Handles the 'after region destroyed' event of a dynamic region. This method is invoked after the dynamic region is destroyed in the local VM.
    Parameters:
      `event` - A `RegionEvent` describing the event